import serial
import numpy as np
import matplotlib.pyplot as plt

# Ouverture de la ligne série
port = serial.Serial('/dev/ttyUSB0', 9600)
valeurs = []
n =0

# On lit les valeurs que l'on stocke dans le tableau valeurs
while (n<50):
    valeur = float(port.readline())
    valeurs.append(valeur)
    print(valeur)
    n=n+1

port.close()

# Sauvegarde des valeurs dans le fichier valeurs.csv
print('Sauvegarde de valeurs.csv ...')
np.savetxt('valeurs.csv', np.array(valeurs))

# Tracé de la courbe
plt.plot(valeurs)
plt.xlabel("temps")
plt.ylabel("température")
plt.grid()
plt.show() 
